// ignore_for_file: public_member_api_docs, sort_constructors_first
// Copyright (C) 2022 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.


import 'package:architecture_example/data/models/photo_model.dart';

import 'package:freezed_annotation/freezed_annotation.dart';

part 'list_photo_model.freezed.dart';
part 'list_photo_model.g.dart';

@freezed
class ListPhotoModel with _$ListPhotoModel {
  const factory ListPhotoModel({
    required List<PhotoModel> photos,
  }) = _ListPhotoModel;

  factory ListPhotoModel.fromJson(Map<String, Object?> json) =>
      _$ListPhotoModelFromJson(json);
}
