part of 'favorite_checker_cubit.dart';

abstract class FavoriteCheckerState extends Equatable {
  const FavoriteCheckerState();

  @override
  List<Object> get props => [];
}

class FavoriteCheckerInitial extends FavoriteCheckerState {}

class FavoriteCheckerSuccess extends FavoriteCheckerState {

  const FavoriteCheckerSuccess(this.photoId, {required this.isFavorite});
  final int photoId;
  final bool isFavorite;

  @override
  List<Object> get props => [photoId, isFavorite];
}

class FavoriteCheckerFailure extends FavoriteCheckerState {

  const FavoriteCheckerFailure(this.error);
  final String error;

  @override
  List<Object> get props => [error];
}
