## 0.4.1

 - **REFACTOR**: use fromFirebaseUser factory to parse user.
 - **REFACTOR**: update deps and re-export them.
 - **FIX**: fix mock on register.
 - **FEAT**: add google sign in in signIn cubit.
 - **FEAT**: add google sign in parameter in firebase data source constructor.
 - **FEAT**: add google sign_in support (closes #59).
 - **FEAT**: add reauthenticate, updateEmail and updatePassword.
 - **DOCS**: add correct header.

## 0.4.0+3

 - Update a dependency to the latest release.

## 0.4.0+2

 - Update a dependency to the latest release.

## 0.4.0+1

 - **FIX**: add sort of mutex on onAuthChanges callback trigger.

## 0.4.0

> Note: This release has breaking changes.

 - **REFACTOR**: update example with new input builders.
 - **FIX**: add initial null account event in stream in the mock authentication.
 - **BREAKING** **FIX**: add signInWithEmailAndPassword and signInAnonymously methods in SignInCubit #26.

## 0.3.0+1

 - **FIX**: fix some bugs to validate publishing.

## 0.3.0

> Note: This release has breaking changes.

 - **REFACTOR**: use correct deps.
 - **REFACTOR**: update example with new listeners.
 - **FIX**: return exception and not throwing it anymore.
 - **FIX**: exception returns msg as message.
 - **FEAT**: add fully functionnal mock data source.
 - **FEAT**: add toString and equality on entities and models.
 - **BREAKING** **FEAT**: add email verification, password reset support.

## 0.2.1+6

 - Update a dependency to the latest release.

## 0.2.1+5

 - Update a dependency to the latest release.

## 0.2.1+4

 - Update a dependency to the latest release.

## 0.2.1+3

 - Update a dependency to the latest release.

## 0.2.1+2

 - Update a dependency to the latest release.

## 0.2.1+1

 - Update a dependency to the latest release.

## 0.2.1

 - **FEAT**: add google, facebook, apple, twitter login.

## 0.2.0+1

 - Update a dependency to the latest release.

## 0.2.0

 - Graduate package to a stable release. See pre-releases prior to this version for changelog entries.

## 0.2.0-dev.0

> Note: This release has breaking changes.

 - **BREAKING** **FEAT**: rename package.

## 0.1.0

Custom states

- Add SignUpState customization with FormData
- Add UserData in AuthenticationState
- Start/Stop AuthenticationCubit on demand

## 0.0.2

Add some Sugar.

- Add AuthenticationBuilder
- Add isNewUser
- Replace AuthenticationBloc by AuthenticationCubit
- Update firebase_auth

## 0.0.1

Initial release

- New repo: Firebase Auth
    * [sign up] email/password
    * [sign in] email/password
- Form Validator
