import 'package:flutter/material.dart';
import 'package:wyatt_ui_components/wyatt_wyatt_ui_components.dart';

class CustomAppBar extends AppBarComponent {
  const CustomAppBar({super.title, super.key});

  @override
  Widget build(BuildContext context) => AppBar(
        title: Text(super.title ?? ''),
      );

  @override
  AppBarComponent? configure(
          {String? title, Widget? leading, List<Widget>? actions}) =>
      CustomAppBar(
        title: title ?? this.title,
      );
}
