import 'package:flutter/material.dart';
import 'package:wyatt_ui_components/wyatt_wyatt_ui_components.dart';

class CustomErrorWidget extends ErrorWidgetComponent {
  const CustomErrorWidget({super.error, super.key});

  @override
  Widget build(BuildContext context) => ColoredBox(
        color: Colors.red,
        child: Center(child: Text(error ?? 'Error')),
      );

  @override
  ErrorWidgetComponent? configure({String? error}) =>
      CustomErrorWidget(error: error ?? this.error);
}
