// Copyright (C) 2022 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'dart:developer';

import 'package:wyatt_form_bloc/wyatt_form_bloc.dart';

class SimpleCustomFormCubit extends FormDataCubitImpl {
  SimpleCustomFormCubit(super._formRepository, super._formName) : super();

  @override
  Future<void> submit() {
    final value = FormJsonEncoder().encode(state.form);
    log(value);

    return Future.value();
  }
}
