import 'package:flutter/material.dart';
import 'package:wyatt_ui_components/wyatt_wyatt_ui_components.dart';

class CustomLoadingWidget extends LoadingWidgetComponent {
  const CustomLoadingWidget({super.color, super.key});

  @override
  Widget build(BuildContext context) => Center(
        child: CircularProgressIndicator(
          color: color,
        ),
      );

  @override
  CustomLoadingWidget? configure({Color? color}) => CustomLoadingWidget(
        color: color ?? this.color,
      );
}
